#!/usr/bin/env python

import dbus
import xchat

__module_name__ = "BMP XChat"
__module_description__ = "BMP Python Module for XChat 2"

class BMPXChat:
    def __init__(self):
	self.bus = dbus.SessionBus()
	self.bmpx_obj = self.bus.get_object("org.beepmediaplayer.SystemControl", "/org/beepmediaplayer/SystemControl/BmpSystemControl")
	self.bmpx = dbus.Interface(self.bmpx_obj, "org.beepmediaplayer.SystemControl")

    def showPlaying(self):
	titleString = self.bmpx.GetCurrentTitle()
	trackNumber = self.bmpx.GetCurrentTrack()
	uri = self.bmpx.GetCurrentUri()
	metadata = self.bmpx.GetMetadataForUri(uri)

	# xchat.command ("me \00314is playing\00314 ::[\0039 "+str(trackNumber+1)+"\00315 | \0033"+ titleString + "\00315 |\0033 "+metadata['bitrate']+" kbit/s\00314 ]::\0037 (~°bmpX 0.11.4 r0x0r°~)")
	xchat.command ("me \00314is playing\00314 ::[\0039 "+str(trackNumber+1)+"\00315 | \0033"+ titleString + "\00315 |\00310 "+metadata['bitrate']+" kbit/s\00314 ]::\0037")

    def xchatcommand_cb(self, word, word_eol, userdata):
        if len(word) < 2:
	    self.showPlaying()
            return xchat.EAT_ALL
        else:
	    if   word[1] == "uri":
		uri = self.bmpx.GetCurrentUri()
		xchat.prnt ("Current URI is: " + uri)
	    elif word[1] == "urim":
		uri = self.bmpx.GetCurrentUri()
		metadata = self.bmpx.GetMetadataForUri(uri)
		xchat.prnt (str(metadata))
            elif word[1] == "next":
                self.bmpx.PlayNext()
            elif word[1] == "prev":
                self.bmpx.PlayPrev()
            elif word[1] == "pause":
                self.bmpx.PlayPause()
            elif word[1] == "stop":
                self.bmpx.PlayStop()
	    elif word[1] == "play":
                self.bmpx.PlayCurrent()
	    elif word[1] == "vol":
                self.bmpx.VolumeSet(int(word[2]))
		xchat.prnt ("BMPx Volume: " + word[2])
            else:
                print "Unknown command for /bmp, see /help bmp for help"
                return xchat.EAT_ALL


m = BMPXChat()

xchat.hook_command("bmp", m.xchatcommand_cb, help="/bmp <arg>")
