#ifndef UI_CALLBACKS_H
#define UI_CALLBACKS_H

#include <glade/glade.h>

#include <bmp_playlist.h>

/* GtkAction callbacks */
void
bmp_ui_callback_about (GtkAction *widget, gpointer data);

void
bmp_ui_callback_preferences (GtkAction *widget, gpointer data);

void
bmp_ui_callback_quit (GtkAction *widget, gpointer data);

void
bmp_ui_callback_iconify (GtkAction *widget, gpointer data);

void
bmp_ui_callback_prev(GtkAction *widget, gpointer data);

void
bmp_ui_callback_play(GtkAction *widget, gpointer data);

void
bmp_ui_callback_pause(GtkAction *widget, gpointer data);

void
bmp_ui_callback_stop(GtkAction *widget, gpointer data);

void
bmp_ui_callback_next(GtkAction *widget, gpointer data);

void
bmp_ui_callback_toggle_shuffle(GtkToggleAction *action, gpointer data);

void
bmp_ui_callback_toggle_repeat(GtkToggleAction *action, gpointer data);

void
bmp_ui_callback_toggle_pl(GtkToggleAction *action, gpointer data);

void
bmp_ui_callback_new_playlist (GtkAction *action, gpointer data);

void
bmp_ui_callback_delete_playlist (GtkAction *action, gpointer data);

void
bmp_ui_callback_delete_all_playlists (GtkAction *action, gpointer data);

void
bmp_ui_callback_rename_playlist (GtkAction *action, gpointer data);

void
bmp_ui_callback_set_playlist_filename (GtkAction *action, gpointer data);

void
bmp_ui_callback_add_files (GtkAction *action, gpointer data);

void
bmp_ui_callback_add_url (GtkAction *action, gpointer data);
 
void
bmp_ui_callback_open_files(GtkAction *widget, gpointer data);

void
bmp_ui_callback_add_cd (GtkAction *action, gpointer data);

void
bmp_ui_callback_del_files (GtkAction *action, gpointer data);

void
bmp_ui_callback_crop_files (GtkAction *action, gpointer data);

void
bmp_ui_callback_del_files_all (GtkAction *action, gpointer data);

void
bmp_ui_callback_select_all_files (GtkAction *action, gpointer data);

void
bmp_ui_callback_unselect_all_files (GtkAction *action, gpointer data);

void
bmp_ui_callback_invert_selection (GtkAction *action, gpointer data);

void
bmp_ui_callback_sort_current_list (GtkAction *widget, gpointer data);

void
bmp_ui_callback_sort_current_list_artist (GtkAction *widget, gpointer data);

void
bmp_ui_callback_sort_current_list_album (GtkAction *widget, gpointer data);

void
bmp_ui_callback_sort_current_list_title (GtkAction *widget, gpointer data);

void
bmp_ui_callback_sort_current_list_genre (GtkAction *widget, gpointer data);

void
bmp_ui_callback_sort_current_list_track (GtkAction *widget, gpointer data);

void
bmp_ui_callback_fileinfo_update (void);

void
bmp_ui_callback_fileinfo (GtkAction *action, gpointer data);

void
bmp_ui_callback_add_files_library (GtkAction *action, gpointer data);

/**
 * Is this in use?
 * */
#if 0
void
bmp_ui_callback_add_files_to_new (GtkAction *action, gpointer data);
#endif

/* Our own callbacks */
void
bmp_ui_callback_seek_moved(GtkWidget *widget, gpointer data);

void
bmp_ui_callback_volume_moved(GtkWidget *widget, gpointer data);

void
bmp_ui_callback_balance_moved(GtkWidget *widget, gpointer data);


#endif
